<bugID>520659<Summary>Lazily build places trees when possible</Summary><Description>See bug 498130 for background.

We can now avoid almost all of the work that is done in buildVisibleSection.</Description></bugID>